---
title: "Retrieve AR Invoice Memo Log By Code"
slug: "retrieve-ar-invoice-memo-log-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-ar-invoice-memo-log-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve AR Invoice Memo Log By Code

Get/ar-rest-api/rest/1/arinvmemolog

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- select Memo Log
- Select By Date
- By UUID

#### Select Memo Log

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| compCode | Company Code | 001 |
| bchNum | Batch Number | 233595 |
| invNum | Invoice Number | 14001.W1552 |

#### Find By Date

This is the recommended finder for querying Memo Logs by Audit Date.

| Parameter | Description | Sample |
| --- | --- | --- |
| AuditDate | Create or Update Date Time Filter | 2022-12-20 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectMemoLog;compCode=001,bchNum=233595,invNum=14001.W1552
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleArinvmemoInvNum:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='ce981dba-922e-44bd-9a08-ae68a70265f5'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='b6bbfad7-5c3c-4e78-beb6-c0fb87f614e3'>example-0</option>
<option value='e6716363-1eb3-4edc-9788-36f1a9d0e6c5'>example-1</option>
<option value='425a02d6-5a5e-410e-a6f4-178631a3d8f7'>example-2</option>
<option value='e88f50c7-e6bd-494e-ae53-86e2bcfda1b6'>example-3</option>
</select>example-0

Successful Response - Finder - selectMemoLog

```json
{
  "items": [
    {
      "ArinvmemoApplyNum": "14001.0010",
      "ArinvmemoArAmt": -238088.77,
      "ArinvmemoBchNum": 233595,
      "ArinvmemoCompCode": "001",
      "ArinvmemoCurrCode": "USD",
      "ArinvmemoCustCode": "ULV",
      "ArinvmemoDate": "2016-01-01",
      "ArinvmemoDesc": "Void JB Draw 10 Revision 0 - ",
      "ArinvmemoDetTaxAmt": null,
      "ArinvmemoDiscAmt": 0,
      "ArinvmemoFrtAmt": null,
      "ArinvmemoHldbkAmt": -23803.15,
      "ArinvmemoInsAmt": null,
      "ArinvmemoInvNum": "14001.W1552",
      "ArinvmemoMemoAmt": -238088.77,
      "ArinvmemoMiscAmt": null,
      "ArinvmemoNodiscAmt": 23803.15,
      "ArinvmemoOePrtCode": null,
      "ArinvmemoOrdNum": "14001",
      "ArinvmemoOrigArAmt": 238088.77,
      "ArinvmemoOrigDiscAmt": 0,
      "ArinvmemoOrigHldbkAmt": 23803.15,
      "ArinvmemoOrigInvNum": "14001.0010",
      "ArinvmemoOrigMemoAmt": 238088.77,
      "ArinvmemoOrigOsAmt": 214285.62,
      "ArinvmemoOrigSalesAmt": 238088.77,
      "ArinvmemoOsAmt": 0,
      "ArinvmemoPostDate": "2016-01-31",
      "ArinvmemoSalesAmt": -238088.77,
      "ArinvmemoSdiscAmt": 0,
      "ArinvmemoSman1CommAmt": null,
      "ArinvmemoSman2CommAmt": null,
      "ArinvmemoSman3CommAmt": null,
      "ArinvmemoTax1Amt": 0,
      "ArinvmemoTax1Code": null,
      "ArinvmemoTax1HldbkAmt": 0,
      "ArinvmemoTax1TaxableFlag": "Y",
      "ArinvmemoTax2Amt": 0,
      "ArinvmemoTax2Code": null,
      "ArinvmemoTax2TaxableFlag": "Y",
      "ArinvmemoTax3Amt": 0,
      "ArinvmemoTax3Code": null,
      "ArinvmemoTax3TaxableFlag": "Y",
      "ArinvmemoIuCreateDate": "2016-05-06T20:31:06Z",
      "ArinvmemoIuUpdateDate": "2016-05-06T20:31:07Z",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ar-rest-api/rest/1/arinvmemolog/000300000004C3182460000000033030310000000B31343030312E5731353532",
          "name": "arinvmemolog",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ar-rest-api/rest/1/arinvmemolog/000300000004C3182460000000033030310000000B31343030312E5731353532",
          "name": "arinvmemolog",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 50,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ar-rest-api/rest/1/arinvmemolog",
      "name": "arinvmemolog",
      "kind": "collection"
    }
  ]
}
```

example-1

Successful Response - Finder - selectByDate

```json
{
  "items": [],
  "count": 0,
  "hasMore": false,
  "limit": 50,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ar-rest-api/rest/1/arinvmemolog",
      "name": "arinvmemolog",
      "kind": "collection"
    }
  ]
}
```

example-2

Successful Response - Finder - selectByDate

```json
{
  "items": [],
  "count": 0,
  "hasMore": false,
  "limit": 50,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ar-rest-api/rest/1/arinvmemolog",
      "name": "arinvmemolog",
      "kind": "collection"
    }
  ]
}
```

example-3

Successful Response - Finder - selectMemoLog

```json
{
  "items": [
    {
      "ArinvmemoApplyNum": "14001.0010",
      "ArinvmemoArAmt": -238088.77,
      "ArinvmemoBchNum": 233595,
      "ArinvmemoCompCode": "001",
      "ArinvmemoCurrCode": "USD",
      "ArinvmemoCustCode": "ULV",
      "ArinvmemoDate": "2016-01-01",
      "ArinvmemoDesc": "Void JB Draw 10 Revision 0 - ",
      "ArinvmemoDetTaxAmt": null,
      "ArinvmemoDiscAmt": 0,
      "ArinvmemoFrtAmt": null,
      "ArinvmemoHldbkAmt": -23803.15,
      "ArinvmemoInsAmt": null,
      "ArinvmemoInvNum": "14001.W1552",
      "ArinvmemoMemoAmt": -238088.77,
      "ArinvmemoMiscAmt": null,
      "ArinvmemoNodiscAmt": 23803.15,
      "ArinvmemoOePrtCode": null,
      "ArinvmemoOrdNum": "14001",
      "ArinvmemoOrigArAmt": 238088.77,
      "ArinvmemoOrigDiscAmt": 0,
      "ArinvmemoOrigHldbkAmt": 23803.15,
      "ArinvmemoOrigInvNum": "14001.0010",
      "ArinvmemoOrigMemoAmt": 238088.77,
      "ArinvmemoOrigOsAmt": 214285.62,
      "ArinvmemoOrigSalesAmt": 238088.77,
      "ArinvmemoOsAmt": 0,
      "ArinvmemoPostDate": "2016-01-31",
      "ArinvmemoSalesAmt": -238088.77,
      "ArinvmemoSdiscAmt": 0,
      "ArinvmemoSman1CommAmt": null,
      "ArinvmemoSman2CommAmt": null,
      "ArinvmemoSman3CommAmt": null,
      "ArinvmemoTax1Amt": 0,
      "ArinvmemoTax1Code": null,
      "ArinvmemoTax1HldbkAmt": 0,
      "ArinvmemoTax1TaxableFlag": "Y",
      "ArinvmemoTax2Amt": 0,
      "ArinvmemoTax2Code": null,
      "ArinvmemoTax2TaxableFlag": "Y",
      "ArinvmemoTax3Amt": 0,
      "ArinvmemoTax3Code": null,
      "ArinvmemoTax3TaxableFlag": "Y",
      "ArinvmemoIuCreateDate": "2016-05-06T20:31:06Z",
      "ArinvmemoIuUpdateDate": "2016-05-06T20:31:07Z",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ar-rest-api/rest/1/arinvmemolog/000300000004C3182460000000033030310000000B31343030312E5731353532",
          "name": "arinvmemolog",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ar-rest-api/rest/1/arinvmemolog/000300000004C3182460000000033030310000000B31343030312E5731353532",
          "name": "arinvmemolog",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 50,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ar-rest-api/rest/1/arinvmemolog",
      "name": "arinvmemolog",
      "kind": "collection"
    }
  ]
}
```

object
